#ifndef H_ASTRONOMY
#define H_ASTRONOMY

#include <stdint.h>
#include <time.h>

enum {
	NIGHT_END,
	DAY_START,
	DAY_END,
	NIGHT_START,
	SUNRISE_END,
	SUNSET_START,
	NUM_SOLAR_TIMES
};

time_t last_solar_time(uint8_t type, time_t current);

uint16_t get_sky_color(time_t time);

#endif